/*------------------------------------------------------------------------------
TDP.H:  Header file.

Copyright 1995 KEIL Software, Inc.
------------------------------------------------------------------------------*/

/*------------------------------------------------------------------------------
		Global Macro and Manifest Constant Declarations
------------------------------------------------------------------------------*/
#define INT_DISABLE	EA = 0
#define INT_ENABLE	EA = 1

#define TCLK		11059200	/* Clock speed in Hz */

/*------------------------------------------------------------------------------
				    CLOCK.C
------------------------------------------------------------------------------*/
void clock_init (void);

void clock_update (void);

void clock_set (
  unsigned long sethsec);

void clock_scan (
  unsigned char flag);

void clock_out_time (void);

char strtotm (
  unsigned long *t,
  char *s);

void alarm_set (
  unsigned setmins);

void alarm_clr (void);

void alarm_out_time (void);

/*------------------------------------------------------------------------------
				   CMDBUILD.C
------------------------------------------------------------------------------*/
#define MAX_CMD_LEN		40

void cmdb_init (void);

void cmdb_prompt (void);

const char *cmdb_scan (void);

/*------------------------------------------------------------------------------
				   CMDPROC.C
------------------------------------------------------------------------------*/
char *strupr (
  char *src);

void cmd_proc (
  const char *cmd);

/*------------------------------------------------------------------------------
				     MAIN.C
------------------------------------------------------------------------------*/
void main (void);

/*------------------------------------------------------------------------------
				    SERIAL.C
------------------------------------------------------------------------------*/
void com_initialize (void);

void com_baudrate (
  unsigned baudrate);

char com_putchar (
  unsigned char c);

char com_puts (
  char *s);

int com_getchar (void);

unsigned char com_rbuflen (void);

unsigned char com_tbuflen (void);

/*------------------------------------------------------------------------------
				    TIMER.C
------------------------------------------------------------------------------*/
#define TIMER0_TICKS_PER_SEC	100

void timer0_initialize (void);

unsigned timer0_count (void);

unsigned timer0_elapsed_count (
  unsigned count);

void timer0_wait (
  unsigned count);

/*------------------------------------------------------------------------------
------------------------------------------------------------------------------*/

